Bug 205036 - File transfers (receive) lockup
File transfers (receive) lockup
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Depends On:
  Show dependency treegraph
Reported: 2006-09-02 16:27 EDT by Jan Kratochvil
Modified: 2008-08-02 19:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-29 09:41:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2006-09-02 16:27:53 EDT
Description of problem:
If I receive any file, GAIM lockups on 80% of cases. Sometimes always.

Version-Release number of selected component (if applicable):

How reproducible:
Not always but without any problem, it is in fact blocker.

Steps to Reproduce:
1. Ask someone to send you a file (tested either on ICQ or Jabber).
2. Confirm the destination path where the file should be stored.

Actual results:
GAIM will no longer refresh its window.
On ICQ seen: Starts hogging all the memory (2GB+, then I killed it). Repeatedly.
On Jabber seen: Still it receives messages (stores them also to the log file)
and updates its window title.

Expected results:
Files would get received.

Additional info:
After several "finish" commands the core is:
(gdb) bt
#0  IA__g_main_loop_run (loop=0x91006a8) at gmain.c:2880
#1  0x00d9b9a4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#2  0x00bfc38a in main (argc=1, argv=0xbfb11084) at gtkmain.c:765
(gdb) info threads
* 1 Thread -1208342832 (LWP 18343)  IA__g_main_loop_run (loop=0x91006a8) at
(gdb) l
2875          return;
2876        }
2878      g_atomic_int_inc (&loop->ref_count);
2879      loop->is_running = TRUE;
2880      while (loop->is_running)
2881        g_main_context_iterate (loop->context, TRUE, TRUE, self);
2883      UNLOCK_CONTEXT (loop->context);
(gdb) p loop
$12 = (GMainLoop *) 0x91006a8
(gdb) p *loop
$13 = {context = 0x8e5fd48, is_running = 1, ref_count = 2}
(gdb) p *loop->context
$14 = {mutex = {runtime_mutex = 0x0, static_mutex = {
      pad =

      dummy_double = 4.9406564584124654e-324, dummy_pointer = 0x1, dummy_long =
1}}, cond = 0x0, owner = 0x8e438b0, 
  owner_count = 1, waiters = 0x0, ref_count = 2, pending_dispatches = 0x8e5f230,
timeout = 0, next_id = 3269, 
  source_list = 0x8e5fd00, in_check_or_prepare = 0, poll_records = 0x8e5f240,
n_poll_records = 9, 
  cached_poll_array = 0x941cec8, cached_poll_array_size = 9, wake_up_pipe = {5,
6}, wake_up_rec = {fd = 5, events = 1, 
    revents = 0}, poll_waiting = 0, poll_changed = 1, poll_func = 0x63fc1d0
<*__GI___poll>, current_time = {
    tv_sec = 1157227991, tv_usec = 203867}, time_is_current = 1}
Comment 1 Jan Kratochvil 2006-10-27 17:20:42 EDT
Still locking up for (=>also RHEL5): gaim-2.0.0-0.15.beta3.fc6.i386
Comment 2 Warren Togami 2006-11-27 13:11:15 EST
Please retest with latest FC6 update.
Comment 3 Jan Kratochvil 2006-11-29 09:41:08 EST
It is unreproducible on gaim-2.0.0-0.22.beta5.fc6.i386 (test ICQ).

On the other hand ICQ file transfer got stuck (GAIM running still fine) but it
is not this Bug and it is probably due to the f*cked up undocumented ICQ protocol.

Not sure if RHEL5 gaim should not get updated, did not test it for RHEL5, people
are uncomfortable being requested to send files.
Comment 4 Mark Doliner 2006-11-29 13:02:54 EST
Hmm, when your ICQ file transfer got stuck with beta5... do you know what ICQ
program the other person was using?  So the transfer started, but then it
stalled at some pointed and ceased transferring bytes?
Comment 5 Jan Kratochvil 2006-12-24 19:24:33 EST
(In reply to comment #4) Mark Doliner wrote:
> Hmm, when your ICQ file transfer got stuck with beta5... do you know what ICQ
> program the other person was using?  So the transfer started, but then it
> stalled at some pointed and ceased transferring bytes?

The problem was occuring at least with remote MS-Windows ICQ-5.1 but besides
that also with Jabber so it definitely was not ICQ specific.

And the whole GAIM got locked - its windows became empty after being clobbered
on the screen etc.

I believe I know the problem you are talking about - I also saw some ICQ
transfers to stop stall at some point. Sometimes also they just never start to
get transferred. It looks as ICQ-specific problem to me and it is definitely
worth a different Bug report. Gimme please a possible Cc if you find such.

Note You need to log in before you can comment on or make changes to this bug.